Name:           rocksndiamonds
Version:        4.2.2.0
Release:        %mkrel 1
Summary:        A boulderdash like game
Group:          Games/Arcade
License:        GPLv2+
URL:            https://www.artsoft.org/rocksndiamonds/
Source0:        https://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.xz
Source1:        %{name}.16.png
Source2:        %{name}.32.png
Source3:        %{name}.48.png
Source4:        %{name}.desktop
Source5:        %{name}.6
Patch0:         rocksndiamonds-4.0.0.1-CVE-2011-4606.patch
Patch1:         rocksndiamonds-4.0.0.1-mga-games-data-and-save-paths.patch

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%setup -q
%apply_patches

%build
%make_build EXTRA_CFLAGS="%{optflags}" EXTRA_LDFLAGS="%{ldflags}"

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

# Own legacy scores dir for users of previous versions.
# If the 'scores' folder is missing (purposedly not installed), scores are saved
# in the user dir, which is better for new users.
install -d %{buildroot}%{_localstatedir}/%{_gamesdir}/%{name}

# Man pages
install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# Menu
install -D -m644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
for size in 16 32 48; do
  install -D -m644 %{_sourcedir}/%{name}.${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%pre
if [ -d %{_gamesdatadir}/%{name}/scores ]; then
  mkdir -p %{_localstatedir}/%{_gamesdir}/%{name}/
  mv %{_gamesdatadir}/%{name}/scores %{_localstatedir}/%{_gamesdir}/%{name}/
fi

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%attr(0755,root,games) %dir %{_localstatedir}/%{_gamesdir}/%{name}


%changelog
* Wed Dec 30 2020 tex - 4.2.2.0-1pclos2021
- new version

* Thu Dec 17 2020 tex - 4.2.1.0-1pclos2020
- Version 4.2.1.0
